Hackers exploram bug no plugin Elementor Pro do WordPress

Vulnerabilidade foi pode ser explorada quando instalada junto com o construtor para lojas online WooCommerce
Da Redação
02/04/2023

Os hackers estão explorando ativamente uma vulnerabilidade de alta gravidade no popular plug-in Elementor Pro do WordPress usado por mais de 11 milhões de sites. O Elementor Pro é um plug-in do construtor de páginas do publicador de conteúdo que permite aos usuários criar sites com aparência profissional, mesmo sem conhecimento de programação.

A vulnerabilidade foi descoberta pelo pesquisador da NinTechNet, Jerome Bruandet, em 18 de março, que compartilhou detalhes técnicos esta semana sobre como o bug pode ser explorado quando instalado junto com o construtor para lojas online WooCommerce. O problema, que afeta a versão 3.11.6 e todas as versões anteriores a ela, permite que usuários autenticados, como clientes de lojas ou membros do site, alterem as configurações do site e até mesmo executem uma aquisição completa do site.

O pesquisador explicou que a falha diz respeito a um controle de acesso quebrado no módulo WooCommerce do plug-in, o que permite a qualquer pessoa modificar as opções do WordPress no banco de dados sem a devida validação.

A falha é explorada por meio de uma ação Ajax vulnerável, “pro_woocommerce_update_page_option”, que tem problema de validação de entrada mal implementada e falta de verificações de capacidade. “Um invasor pode aproveitar a vulnerabilidade para criar uma conta de administrador habilitando o registro e definindo a função padrão como “administrador”, alterando o endereço de e-mail do administrador ou redirecionando todo o tráfego para um site malicioso externo alterando o siteurl entre muitas outras possibilidades,” explicou Bruandet em um artigo técnico sobre o bug.

Veja isso
Malware do Linux explora bugs em temas e plugins do WordPress
WordPress: versões anteriores à 6.02 estão em perigo

É importante observar que, para que a falha específica seja explorada, o plug-in WooCommerce também deve ser instalado no site, o que ativa o módulo vulnerável correspondente no Elementor Pro.

A empresa de segurança do WordPress, PatchStack, agora está relatando que os hackers estão explorando ativamente essa vulnerabilidade do plugin Elementor Pro para redirecionar visitantes para domínios maliciosos ou fazer upload de backdoors para o site violado.

A PatchStack diz que a backdoor carregada nesses ataques é chamada wp-resortpark.zip, wp-rate.php ou lll.zip. Essa backdoor permite ao invasor obter acesso total ao site WordPress, seja para roubar dados ou instalar código malicioso adicional.

Na semana passada, o WordPress atualizou o plug-in WooCommerce Payments para lojas online para lidar com uma vulnerabilidade crítica que permitia que invasores não autenticados obtivessem acesso de administrador a sites vulneráveis.

Compartilhar:

Últimas Notícias